﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;

namespace FNZCM.ConHost
{
    public interface IConfigFile
    {
        IReadOnlyDictionary<string, string> Libraries { get; }
        string[] MediaFilePattern { get; }
        string[] BkFilePattern { get; }
        string ListenPrefix { get; }
        string Title { get; }
    }

    public class ConfigFile : IConfigFile
    {
        public string ListenPrefix { get; set; }

        public string Title { get; set; }

        public IReadOnlyDictionary<string, string> Libraries { get; set; }
        public string[] MediaFilePattern { get; set; }
        public string[] BkFilePattern { get; set; }

        public static IConfigFile Instance { get; } = JsonConvert.DeserializeObject<ConfigFile>(File.ReadAllText(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "config.json")));
    }
}
